Package org.wso2.carbon.tryit

# Class ExternalTryitService

java.lang.Object
org.wso2.carbon.core.AbstractAdmin
org.wso2.carbon.tryit.ExternalTryitService

public class ExternalTryitService extends org.wso2.carbon.core.AbstractAdmin
ExternalTryitService will be used in generating AJAX based application for a given WSDL. Given WSDL could be either version 1.1 or 2.0. If the given WSDL is version 1.1, it will be converted to version 2.0 using wsdl11to20.xsl. This conversion is absolute necessary due to usage of dyanmic- codegen project.

- ## Field Summary

  ### Fields inherited from class org.wso2.carbon.core.AbstractAdmin

  `axisConfig, configurationContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalTryitService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateTryit(String url, String hostName)`
  This is a Web method.

  ### Methods inherited from class org.wso2.carbon.core.AbstractAdmin

  `getAxisConfig, getConfigContext, getConfigSystemRegistry, getConfigUserRegistry, getGovernanceRegistry, getGovernanceSystemRegistry, getGovernanceUserRegistry, getHttpSession, getLocalRepo, getRegistry, getTenantDomain, getUsername, getUserRealm, setConfigurationContext, setPermissionUpdateTimestamp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalTryitService

    public ExternalTryitService()

- ## Method Details

  - ### generateTryit

    public String generateTryit(String url, String hostName) throws org.apache.axis2.AxisFault
    This is a Web method. A URL of a WSDL document is given and the ID of the generated AJAX app will be return. User need to do a HTTP GET on filedownload?id= to get the XHTML app.
    Parameters:
      `url` - WSDL document location.
      `hostName` - name of client host.
    Throws:
      `org.apache.axis2.AxisFault` - if any anomaly occured.